.bg-main-base {
  --surface: var(--theme-surface-main-base);
  --text: var(--theme-surface-text-main-base);
}

.bg-main-alt {
  --surface: var(--theme-surface-main-alt);
  --text: var(--theme-surface-text-main-alt);
}

.bg-contrast-base {
  --surface: var(--theme-surface-contrast-base);
  --text: var(--theme-surface-text-contrast-base);
}

.bg-contrast-alt {
  --surface: var(--theme-surface-contrast-alt);
  --text: var(--theme-surface-text-contrast-alt);
}

.text-main-base {
  --text: var(--theme-read-main-base);
}

.text-main-alt {
  --text: var(--theme-read-main-alt);
}

.text-contrast-base {
  --text: var(--theme-read-contrast-base);
}

.text-contrast-alt {
  --text: var(--theme-read-contrast-alt);
}

.border-main-base {
  border-color: var(--theme-border-main-base);
}

.border-main-alt {
  border-color: var(--theme-border-main-alt);
}

.border-contrast-base {
  border-color: var(--theme-border-contrast-base);
}

.border-contrast-alt {
  border-color: var(--theme-border-contrast-alt);
}

.bg-interactive-main {
  --surface: var(--theme-interactive-main);
  --text: var(--theme-interactive-text-main);
}

.text-interactive-main {
  --text: var(--theme-interactive-main);
}

.border-interactive-main {
  border-color: var(--theme-interactive-main);
}

.bg-interactive-contrast {
  --surface: var(--theme-interactive-contrast);
  --text: var(--theme-interactive-text-contrast);
}

.text-interactive-contrast {
  --text: var(--theme-interactive-contrast);
}

.border-interactive-contrast {
  border-color: var(--theme-interactive-contrast);
}

.bg-cta-main {
  --surface: var(--theme-cta-main);
  --text: var(--theme-cta-text-main);
}

.text-cta-main {
  --text: var(--theme-cta-main);
}

.border-cta-main {
  border-color: var(--theme-cta-main);
}

.bg-cta-contrast {
  --surface: var(--theme-cta-contrast);
  --text: var(--theme-cta-text-contrast);
}

.text-cta-contrast {
  --text: var(--theme-cta-contrast);
}

.border-cta-contrast {
  border-color: var(--theme-cta-contrast);
}

.bg-success {
  --surface: var(--theme-success-main);
  --surface-alt: var(--theme-surface-contrast-alt);
  --text: var(--theme-surface-text-contrast-base);
  --text-alt: var(--theme-surface-text-contrast-alt);
  --text-color: var(--text);
  --interactive: var(--theme-interactive-contrast);
  --interactive-text: var(--theme-interactive-text-contrast);
  --cta: var(--theme-cta-contrast);
  --cta-text: var(--theme-cta-text-contrast);

  background-color: var(--theme-success-main);
  color: var(--theme-success-read-main);
}

.text-success {
  color: var(--theme-success-main);
}

.border-success {
  border-color: var(--theme-success-main);
}

.bg-alert {
  --surface: var(--theme-alert-main);

  background-color: var(--theme-alert-main);
  color: var(--theme-alert-read-main);
}

.text-alert {
  color: var(--theme-alert-main);
}

.border-alert {
  border-color: var(--theme-alert-main);
}

.bg-error {
  --surface: var(--theme-error-main);
  --surface-alt: var(--theme-surface-contrast-alt);
  --text: var(--theme-surface-text-contrast-base);
  --text-alt: var(--theme-surface-text-contrast-alt);
  --text-color: var(--text);
  --interactive: var(--theme-interactive-contrast);
  --interactive-text: var(--theme-interactive-text-contrast);
  --cta: var(--theme-cta-contrast);
  --cta-text: var(--theme-cta-text-contrast);

  background-color: var(--theme-error-main);
  color: var(--theme-error-read-main);
}

.text-error {
  color: var(--theme-error-main);
}

.border-error {
  border-color: var(--theme-error-main);
}
